Pro doerrors,x,y,err1,err2,log=log,_extra=extra

;+--------------------------------------------------
; 
; DOERRORS      5/13/2002  GDB
;
; Overplots yerror bars onto a previously drawn plot.
;
; INPUTS
;	x,y	- Coordinates of data points
;	err1	- y-value of lower bound
;	err2	- y-value of upper bound (optional).
;		  If not set, lower and upper bounds
;		  are assumed to be x +/- err1.
;
; KEYWORDS
;	log	- specifies that plot is log-log and
;		  will substitute 1e-30 for neg values.
;       _extra  - oplot keywords 
;
; HISTORY
;       Written 5/13/2002 GDB
;       _EXTRA keyword added 7/12/2004 GDB
;---------------------------------------------------

if (n_params() lt 3) then begin
   print,'CALLING SEQUENCE: doerrors,x,y,err1 [,err2,/log,_extra=extra]'
   return
endif

n = n_elements(x)

if (n_params() eq 3) then begin
   offlo = err1
   offhi = err1
endif else begin
   offlo = abs(y-err1)
   offhi = abs(y-err2)
endelse

for i=0,n-1 do begin
   if keyword_set(log) then begin
      lo = y(i)-offlo(i) > 1e-30
      hi = y(i)+offhi(i) > 1e-30
   endif else begin
      lo = y(i)-offlo(i)
      hi = y(i)+offhi(i)
   endelse
   oplot,[x(i),x(i)],[lo,hi],_extra=extra
endfor

return
end
